## mkdocstrings-python-legacy 0.2.3

=== Makefile ===
.DEFAULT_GOAL := help
SHELL := bash

DUTY = $(shell [ -n "${VIRTUAL_ENV}" ] || echo pdm run) duty

args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
check_quality_args = files
docs_serve_args = host port
release_args = version
test_args = match

BASIC_DUTIES = \
	changelog \
	check-dependencies \
	clean \
	coverage \
	docs \
	docs-deploy \
	docs-regen \
	docs-serve \
	format \
	release

QUALITY_DUTIES = \
	check-quality \
	check-docs \
	check-types \
	test

.PHONY: help
help:
	@$(DUTY) --list

.PHONY: lock
lock:
	@pdm lock

.PHONY: setup
setup:
	@bash scripts/setup.sh

.PHONY: check
check:
	@bash scripts/multirun.sh duty check-quality check-types check-docs
	@$(DUTY) check-dependencies

.PHONY: $(BASIC_DUTIES)
$(BASIC_DUTIES):
	@$(DUTY) $@ $(call args,$@)

.PHONY: $(QUALITY_DUTIES)
$(QUALITY_DUTIES):
	@bash scripts/multirun.sh duty $@ $(call args,$@)

## mkdocstrings-python-legacy 0.2.2

=== debian/changelog ===
mkdocstrings-python-legacy (0.2.2-1) unstable; urgency=medium

  * [8bc97d3] New upstream version 0.2.2
  * [6a4c7c9] First and basic Debianization
    (Closes: #1010382)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 17 May 2022 07:56:34 +0200

=== debian/control ===
Source: mkdocstrings-python-legacy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 python3-all,
Build-Depends-Indep:
 dh-python,
 pybuild-plugin-pyproject,
 python3-poetry,
 python3-pytest,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings-python-legacy
Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings-python-legacy.git
Homepage: https://github.com/mkdocstrings/python-legacy

Package: mkdocstrings-python-legacy
Architecture: all
Depends:
 mkdocstrings-python-handlers,
 ${misc:Depends},
 ${python3:Depends},
Description: Legacy Python handler for mkdocstrings
 MkDocs is a fast, simple and downright gorgeous static site generator
 that's geared towards building project documentation. Documentation
 source files are written in Markdown, and configured with a single YAML
 configuration file.
 .
 This package contains an legacy Python handler used within mkdocstrings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=mkdocstrings
export PYBUILD_SYSTEM=pyproject
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/lib/python3*/dist-packages/mkdocstrings/py.typed
# Disable the internal test suite, this package requires mkdocstrings >= 0.18 for
# the internal tests which needs to be prepared first.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	# Adjust version information
	sed -i 's/@@DEB_VERSION_UPSTREAM@@/$(DEB_VERSION_UPSTREAM)/g' pyproject.toml
	dh_auto_build

## mkdocstrings-python-legacy 0.2.3

=== debian/changelog ===
mkdocstrings-python-legacy (0.2.3-6) unstable; urgency=medium

  * [ce2b0bd] Rebuild patch queue from patch-queue branch
    Added patch:
    t-conftest.py-Adopt-modernize-test-fixtures.patch
    Removed patch:
    t-conftests.py-Add-new-needed-default-dict-entry.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Dec 2023 16:04:07 +0100

mkdocstrings-python-legacy (0.2.3-5) unstable; urgency=medium

  * [1001bd8] Rebuild patch queue from patch-queue branch
    Added patch:
    t-conftests.py-Add-new-needed-default-dict-entry.patch
    (Closes: #1052775)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 04 Oct 2023 19:22:15 +0200

mkdocstrings-python-legacy (0.2.3-4) unstable; urgency=medium

  * [4bae7e0] Add patch from patch-queue branch
    Added patch:
    pyproject.toml-Transform-license-expression-into-license.patch
    PEP621 only knows about a field 'license', renaming the existing field
    'license-expression' to the valid naming so PEP621 validation will pass.
    (Closes: #1026616)
  * [f474534] d/control: Add BuildProfileSpecs, use dh-sequence-python3
  * [7c2b923] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [3d08968] d/rules: Drop --with on the default target

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 21 Dec 2022 21:01:09 +0100

mkdocstrings-python-legacy (0.2.3-3) unstable; urgency=medium

  * Team upload.
  * [8eddce9] Switch from poetry back to pdm-pep517 build backend.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Aug 2022 10:28:51 -0400

mkdocstrings-python-legacy (0.2.3-2) unstable; urgency=medium

  * [f4c481c] d/{t,}/control: Add versioned dep on pygments

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 02 Jul 2022 12:55:22 +0200

mkdocstrings-python-legacy (0.2.3-1) unstable; urgency=medium

  * [8c089ff] New upstream version 0.2.3
  * [fcb4b33] Rebuild patch queue from patch-queue branch
    Modified patch:
    Switch-to-poetry-as-build-system.patch
    Adopted upstream changes to pyproject.toml.
  * [08bd574] d/control: Add dep on mkdocstrings >> 0.19.0-1
  * [d1f9d40] d/control: Conflict on mkdocstrings-python-handlers
  * [6645a3b] d/control: Add python3-pytkdocs to B-D
  * [f633342] d/rules: Remove PYBUILD_AFTER_INSTALL variable
  * [c2014a6] d/control: Add more B-D packages
  * [c004908] d/rules: Turn on the internal testing
  * [9b95228] autopkgtest: Adding first working setup

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 02 Jun 2022 21:09:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,29 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
 Build-Depends-Indep:
- dh-python,
+ mkdocs <!nocheck> <!nodoc>,
+ mkdocs-material <!nocheck> <!nodoc>,
+ mkdocstrings (>> 0.19.0-1) <!nocheck> <!nodoc>,
  pybuild-plugin-pyproject,
- python3-poetry,
- python3-pytest,
+ python3-pdm-pep517,
+ python3-pygments (>= 2.12) <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytkdocs,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings-python-legacy
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings-python-legacy.git
 Homepage: https://github.com/mkdocstrings/python-legacy
 
 Package: mkdocstrings-python-legacy
 Architecture: all
+Conflicts:
+ mkdocstrings-python-handlers,
 Depends:
- mkdocstrings-python-handlers,
+ mkdocstrings (>> 0.19.0-1),
  ${misc:Depends},
  ${python3:Depends},
 Description: Legacy Python handler for mkdocstrings
@@ -30,4 +37,4 @@
  source files are written in Markdown, and configured with a single YAML
  configuration file.
  .
- This package contains an legacy Python handler used within mkdocstrings.
+ This package contains an legacy Python handler usable within mkdocstrings.

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 mkdocs,
 mkdocs-material,
 mkdocstrings (>> 0.19.0-1),
 python3-all,
 python3-pygments (>= 2.12),
 python3-pytest,
 @,
Restrictions: allow-stderr

## mkdocstrings-python-legacy 0.2.4

=== debian/changelog ===
mkdocstrings-python-legacy (0.2.4-1) unstable; urgency=medium

  * [e6aac15] d/watch: Set compression to gz
  * [62594c1] New upstream version 0.2.4
  * [15c7ce6] Drop patch queue, already included upstream
  * [1255f77] d/control: Adjust build dependencies
  * [826d901] d/control: Switch python3-pdm-backend
  * [0fe6ea5] d/rules: Drop export {PYBUILD_SYSTEM,PDM_PEP517_SCM_VERSION}
  * [f0a9507] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * [93c4ec8] d/copyright: Update year and email data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 13 Sep 2024 17:26:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,19 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
 Build-Depends-Indep:
  mkdocs <!nocheck> <!nodoc>,
+ mkdocs-autorefs <!nocheck> <!nodoc>,
  mkdocs-material <!nocheck> <!nodoc>,
  mkdocstrings (>> 0.19.0-1) <!nocheck> <!nodoc>,
- pybuild-plugin-pyproject,
- python3-pdm-pep517,
+ python3-pdm-backend,
  python3-pygments (>= 2.12) <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytkdocs,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings-python-legacy
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings-python-legacy.git
 Homepage: https://github.com/mkdocstrings/python-legacy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=mkdocstrings
export PYBUILD_BEFORE_TEST=cp -r {dir}/docs {dir}/mkdocs.yml {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/docs {build_dir}/mkdocs.yml

%:
	dh $@ --buildsystem=pybuild

## mkdocstrings-python-legacy 0.2.6

=== debian/changelog ===
mkdocstrings-python-legacy (0.2.6-1) unstable; urgency=medium

  * [10a75f1] New upstream version 0.2.6
  * [0a9b086] Revert "Include src/ in wheel even when not building from git"
    Dropped patch:
    pyproject-include-src.patch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Mar 2025 08:00:26 +0200

mkdocstrings-python-legacy (0.2.5-1) unstable; urgency=medium

  * [2fe9044] New upstream version 0.2.5
  * [7d390af] d/control, d/tests/control: Sync dependencies with upstream
  * [6690dd3] Include src/ in wheel even when not building from git

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Mar 2025 19:52:15 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  mkdocs <!nocheck> <!nodoc>,
  mkdocs-autorefs <!nocheck> <!nodoc>,
  mkdocs-material <!nocheck> <!nodoc>,
- mkdocstrings (>> 0.19.0-1) <!nocheck> <!nodoc>,
+ mkdocstrings (>= 0.28.3) <!nocheck> <!nodoc>,
  python3-pdm-backend,
  python3-pygments (>= 2.12) <!nocheck>,
  python3-pytest <!nocheck>,

## mkdocstrings-python-legacy 0.2.7

=== debian/changelog ===
mkdocstrings-python-legacy (0.2.7-1) unstable; urgency=medium

  [ Juri Grabowski ]
  * [24903d6] New upstream version 0.2.7

  [ Carsten Schoenert ]
  * [16a01b3] d/py3dist-override: Delete file, it's not needed
  * [b61d204] d/control Bump Standards-Version to 4.7.2
    No further changes needed.
  * [06822de] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 13 Jul 2025 23:12:54 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-pytest <!nocheck>,
  python3-pytkdocs,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mkdocstrings-python-legacy
 Vcs-Git: https://salsa.debian.org/python-team/packages/mkdocstrings-python-legacy.git
 Homepage: https://github.com/mkdocstrings/python-legacy

=== debian/tests/control ===
Tests:
 upstream-tests
Depends:
 mkdocs,
 mkdocs-material,
 mkdocstrings (>= 0.28.3),
 python3-all,
 python3-pygments (>= 2.12),
 python3-pytest,
 @,
Restrictions: allow-stderr

=== debian/watch ===
# watch file for mkdocstrings-python-legacy

version=4

opts="mode=git, \
      compression=gz, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/mkdocstrings/python-legacy.git \
      refs/tags/@ANY_VERSION@
